<section class="pdp-container">
	<section class="split-slot pdp-slot-one">
		<app-info-content-molecule [sectionOneInfoContent]="sectionOneInfoContent">
			<button class="button-primary" (click)="onPlayVideo()">View Quick Demo</button>
		</app-info-content-molecule>
		<app-banner-molecule [sectionOneBannerContent]="sectionOneBannerContent" [sectionOneDesktopBannerContent]="sectionOneDesktopBannerContent">
		</app-banner-molecule>
	</section>
	<section class="split-slot pdp-slot-two">
		<div class="slot-two-left">{{prodCode}} Plan Feature</div>
		<div class="slot-two-right">
			<ul>
				<li *ngFor="let content of sectionTwoContent">{{content?.content}}</li>
			</ul>
		</div>
	</section>
	<section class="pdp-subscription">
		<h4>{{productDetails?.code}} Plans & Pricing</h4>
		<p>{{productDetails?.summary}}</p>
		<div class="subscription-pricing">
			<article class="pdt-main-details">
				<div class="pdp-pdt-detail">
					<div class="clear"></div>

					<div class="pdp-buttons clearfix">
						<span class="user-title" *ngIf="!isHrms">Select no of concurrent users</span>
						<span class="user-title" *ngIf="isHrms">Price: </span>
						<mat-form-field appearance="standard" class="users-qty-feild" *ngIf="!isHrms">
							<mat-label>No of concurrent users</mat-label>
							<input matInput type="number" [disabled]="isHrms" value="{{isHrms && 1}}"
								[(ngModel)]="usersQty" (keyup)="handleChange($event);" required autocomplete="off">
						</mat-form-field>
						<div class="pdp-price font-roboto-bold" *ngIf="!_array.isArray(price)">
							<span *ngIf="!isHrms">{{productDetails?.price?.currencyIso }}
								{{productDetails?.priceRange?.maxPrice?.value * (!!usersQty ? usersQty : 0)  | number : '1.0-2'}}
							</span>
							<span *ngIf="isHrms">{{usersPriceHR}} SAR / yr </span>
						</div>
						<div class="col-12 no-padding mb-30" *ngIf="isHrms">
							<mat-form-field appearance="standard" class="" *ngIf="isHrms">
								<mat-label>No of Users</mat-label>
								<!-- <mat-select name="subscription">
									<mat-option *ngFor="let priceItem of price" [value]="priceItem.priceRangeName"
										(click)="onSelectRange(priceItem.priceRangeName)">
										SAR {{priceItem.value.toFixed(2)}} / {{priceItem.priceRange}} users
									</mat-option>
								</mat-select> -->
								<input matInput class="qty-field" type="number" value="1"
								 (keyup)="handleChangeHR($event);" required autocomplete="off">
							</mat-form-field>
						</div>

						<div class="col-12 no-padding clearfix cart-button">
							<button class="atc-btn" *ngIf="isHrms" [disabled]="!range"
								mat-raised-button (click)="checkCart()">
								<span>BUY NOW</span>
							</button>
							<button class="atc-btn" *ngIf="!isHrms" [disabled]="isFinance && (usersQty < 1 || !usersQty)"
								mat-raised-button (click)="checkCart()">
								<span>BUY NOW</span>
							</button>

							<p class="note">Note: *subscription prices may vary according to the existing subscription.</p>
							<div class="details" *ngIf="details">
								<p>Placed On: {{details.placedOn | date: 'dd-MMM-yyyy'}}</p>
								<p>Ends On: {{details.endDate | date: 'dd-MMM-yyyy'}}</p>
								<p>Count: {{details.quantity}}</p>
							</div>
						</div>

						<p class="error-message" *ngIf="maxQtyErr">{{ maxQtyErrMsg }}</p>
					</div>


				</div>

			</article>
		</div>
	</section>
</section>

<!-- <div class="container clearfix">

	<article class="pdt-main-details container row mb-50">
		<div class="col-sm-5 col-md-5 col-lg-5 col-xl-5 pdp-pdt-image">
			<div class="">
				<img src="{{hostName + imageUrl}}" alt="Puma">
			</div>

		</div>
		<div class=" col-sm-7 col-md-7 col-lg-7 col-xl-7 pdp-pdt-detail">
			<h1 class="pdp-display-name font-roboto-reg">{{productName}}</h1>
			<div class="pdp-price font-roboto-bold" *ngIf="!_array.isArray(price)">
				<span>{{price}} </span>
			</div>

			<div class="ul-d">
				<p class="d-con" [innerHTML]="description | safeHtml: 'html'"></p>
			</div>
			<div class="clear"></div>

			<div class="pdp-buttons clearfix">

				<mat-form-field appearance="standard" class="users-qty-feild" *ngIf="!isHrms">
					<mat-label>No of concurrent users</mat-label>
					<input matInput type="number" [disabled]="isHrms" value="{{isHrms && 1}}" [(ngModel)]="usersQty"
						(keyup)="handleChange($event);" required autocomplete="off">
				</mat-form-field>
				<div class="col-12 no-padding mb-30" *ngIf="isHrms">
					<button class="subscription-main-btn" mat-raised-button (click)="handleShowSubscription()">
						<span>Please Select Subscriptions</span>
					</button>
					<div class="pdp-subscription-price" *ngIf="_array.isArray(price) && showSubscription">
						<span class="subscription-text">Please select the price range</span>
						
						<mat-radio-group aria-label="Select an option" class="pdp-subscription">
							<mat-radio-button class="subscription-btn form-check-inline" *ngFor="let priceItem of price"
								checked="{{price[0].priceRangeName == priceItem.priceRangeName}}"
								value="{{priceItem.priceRangeName}}" (change)="rangeSelect($event);">
								<section>
									<div class="price-plan">
										<div class="price-subscription">
											<span class="main-price">SAR {{priceItem.value.toFixed(2)}}</span> 
											<span class="price-users">/ <span>{{priceItem.priceRange}} </span> users</span>
										</div>
									</div>

								</section>
								
							</mat-radio-button>
						
						</mat-radio-group>
					</div>
				</div>

				<div class="col-12 no-padding clearfix">
					<button class="atc-btn"
						[disabled]="(!shouldShowAddToCart || isFinance && (usersQty < 1 || !usersQty))"
						mat-raised-button (click)="checkCart()">
						<span>ADD TO CART</span>
					</button>
				</div>

				<p class="error-message" *ngIf="maxQtyErr">{{ maxQtyErrMsg }}</p>
			</div>


		</div>

	</article>

</div> -->